"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.bundleMiniAppsFromComposite = exports.bundleMiniApps = void 0;
const ern_composite_gen_1 = require("ern-composite-gen");
const ern_core_1 = require("ern-core");
const reactNativeBundleAndroid_1 = require("./reactNativeBundleAndroid");
const reactNativeBundleIos_1 = require("./reactNativeBundleIos");
async function bundleMiniApps(
// The miniapps to be bundled
miniApps, compositeDir, outDir, platform, { bundleOutput, pathToYarnLock, dev, sourceMapOutput, baseComposite, jsApiImplDependencies, resolutions, metroExtraNodeModules, extraJsDependencies, resetCache, } = {}) {
    await ern_core_1.kax.task('Generating MiniApps Composite').run((0, ern_composite_gen_1.generateComposite)({
        baseComposite,
        extraJsDependencies,
        jsApiImplDependencies,
        metroExtraNodeModules,
        miniApps,
        outDir: compositeDir,
        pathToYarnLock,
        resolutions,
    }));
    return bundleMiniAppsFromComposite({
        bundleOutput,
        compositeDir,
        dev,
        outDir,
        platform,
        resetCache,
        sourceMapOutput,
    });
}
exports.bundleMiniApps = bundleMiniApps;
async function bundleMiniAppsFromComposite({ bundleOutput, compositeDir, dev, outDir, platform, resetCache, sourceMapOutput, }) {
    return ern_core_1.kax.task('Running Metro Bundler').run(platform === 'android'
        ? (0, reactNativeBundleAndroid_1.reactNativeBundleAndroid)({
            bundleOutput,
            cwd: compositeDir,
            dev,
            outDir,
            resetCache,
            sourceMapOutput,
        })
        : (0, reactNativeBundleIos_1.reactNativeBundleIos)({
            bundleOutput,
            cwd: compositeDir,
            dev,
            outDir,
            resetCache,
            sourceMapOutput,
        }));
}
exports.bundleMiniAppsFromComposite = bundleMiniAppsFromComposite;
//# sourceMappingURL=bundleMiniApps.js.map