"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.copyRnpmAssets = void 0;
const ern_core_1 = require("ern-core");
const getAssetsPath_1 = require("./getAssetsPath");
const path_1 = __importDefault(require("path"));
function copyRnpmAssets(miniApps, compositeMiniAppDir, outDir, platform) {
    var _a;
    const miniAppPaths = miniApps.length === 1 && miniApps[0].path
        ? [miniApps[0].path] // Case of local container for runner
        : miniApps.map((m) => m.path);
    for (const miniAppPath of miniAppPaths) {
        const packageJson = (0, ern_core_1.readPackageJsonSync)(miniAppPath);
        if ((_a = packageJson === null || packageJson === void 0 ? void 0 : packageJson.rnpm) === null || _a === void 0 ? void 0 : _a.assets) {
            for (const assetDirectoryName of packageJson.rnpm.assets) {
                const source = path_1.default.join(assetDirectoryName, '*');
                const dest = (0, getAssetsPath_1.getAssetsPath)(platform, assetDirectoryName);
                (0, ern_core_1.handleCopyDirective)(miniAppPath, outDir, [{ source, dest }]);
            }
        }
    }
}
exports.copyRnpmAssets = copyRnpmAssets;
//# sourceMappingURL=copyRnpmAssets.js.map